Skip to Content
-1
Aug 19, 2020 at 06:00 PM

XSA: Configure error. Node js module failed on build

141 Views Last edit Aug 20, 2020 at 06:50 AM 5 rev

Hi All,

I have created a simple node.js module in HANA 2.0 SPS04, When i try to build it it get failed. I don't understand why it failed.

Error is

P.S : I don't have CLI tool so i don't know if by default it is creating defining right versions in Package.json, If there is any other way to find the version like by some sql statement let me know.

but as much i know about node js if give "^" symbol before version it automatically pickup latest version, That's why not sure what is the problem, Kindly HELP!!

Here is my package.json

and here is my server.js

my MTA.yaml looks like


Attachments

mta.jpg (35.3 kB)
server.jpg (49.2 kB)
package.jpg (28.5 kB)